<template>
    <div class="relative block w-full">
        <div
                v-for="list in data"
                class="relative p-3 mb-2 grid grid-cols-6 items-center gap-3 w-full bg-scheme-primary bg-opacity-10 rounded-md">

            <div class="block text-left col-span-5">
                <h3 class="block font-medium text-md">{{list.product_name }}</h3>
                <span class="block text-sm text-gray-700">{{ list.product_price ? helpers.formatPrice(list.product_price) : list.product_price }}</span>
                <span class="block text-sm text-gray-700">QTY: {{ list.quantity }}</span>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">

import helpers from "../../../utils/helpers";

interface Props {
    data: any
}

let props = withDefaults(defineProps<Props>(), {
    data: null,
})
</script>